Stop a Campaign
This is different from deleting a campaign. Delete a campaign is used to correct an error. If the campaign was a duplicate, or entered by mistake and you wish to cancel the whole thing, and if there were invoices or payments, they would be credited and/or reversed.
Use this API to simply stop a campaign that is currently running. The campaign started, and has legitimate dates already on it, but you wish to end it sooner than planned.
POST /api/campaigns/{campaignId}/stop
POST /api/campaigns/{campaignId}/stopThese are the parameters which may be passed in to this API:

As an example, I have this campaign which is running from Feb 1 until Feb 25:

Notice that this campaign has three line items:
8486 - Runs on 2/13 and 2/20
8487 - Runs just on 2/2
8488 - is a digital product which spans 2/5 until 2/25
If I pass in though the API that I would like to stop campaign ID 2602 as of Feb 15, this would be the result:

API Response Body:
Note that the system is advising that a refund is due on two of the campaign lines. Naviga is not automatically refunding that amount, but rather advising the sending system that this is the amount they should refund. Once they have completed the refund, they should utilize the POST /api/campaigns/{campaignId}/refund API to let us know that the refund was completed and for how much.
If the external system is not processing any refunds then the expectation is that it will remain on the account as a prepay COA until a user either uses it for another order, or processes a manual refund within Naviga Ad.
***Couple of things to note on the refund of the digital ad in my example above. It is displaying here as a refund of $100 due, which was the full amount of the line. My ads are not delivering anywhere, so that is to be expected. This was a CPM line, and no impressions were delivered, so a full refund would be expected in the cancellation. In real life scenario, if a digital line was cancelled part way through the run, SOME impressions would have been delivered and therefore Naviga Ad would calculate the actuals based on what was served so far (it is looking at the totals which comes back from GAM and displaying on the Tracking Services tab). If this was a Flat Fee line, as long as it started running, no refund would have been calculated. If it had been a Cost Per Day, it would have taken the total amount, divided by the number of days and supplied the appropriate refund amount. The API is not currently supporting Cost per click refund calculations, but do let us know if it is needed and we will address that when it becomes a requirement for someone.
Last updated
Was this helpful?